Page MenuHomePhabricator

Avoid breakage of conversion rules from [numeric-only string] to [something else] by replacing array_merge() calls by operator+
Closed, ResolvedPublic

Description

There're various array_merge() calls on conversion tables, and it re-indexes the array if the array is keyed with numbers. These calls can be replaced with operator+, which only performs hashtable-merge.


Version: 1.22.0
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=49072

Details

Reference
bz46634

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:24 AM
bzimport set Reference to bz46634.
bzimport added a subscriber: Unknown Object (MLST).
liangent created this task.Mar 28 2013, 1:10 PM

Related URL: https://gerrit.wikimedia.org/r/66376 (Gerrit Change Ic1fecc1526e66ed83061f2b4ad77c8ef95622216)

Change 66376 abandoned by Liangent:
Handle conversion rules of numeric-only string correctly

https://gerrit.wikimedia.org/r/66376

Change 131717 had a related patch set uploaded by Liangent:
LanguageConverter fix of empty and numeric strings

https://gerrit.wikimedia.org/r/131717

Change 131717 had a related patch set uploaded (by Liangent):
LanguageConverter fix of empty and numeric strings

https://gerrit.wikimedia.org/r/131717

Change 131717 merged by jenkins-bot:
LanguageConverter fix of empty and numeric strings

https://gerrit.wikimedia.org/r/131717

Anomie closed this task as Resolved.Jun 8 2015, 4:57 PM
Anomie assigned this task to liangent.
Anomie set Security to None.
Anomie added a subscriber: Anomie.

The fix should go out to WMF wikis with 1.26wmf9, see https://www.mediawiki.org/wiki/MediaWiki_1.26/Roadmap for the schedule.